Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/connected-accounts/connect-google

Connect Google Profile to Account

This API initiates the process of connecting a new Google My Business (GMB) account to the system. The response provides a URL for the user to complete Google's OAuth authentication flow.

Important Notes:

  • The response includes a URL that the user must visit to authenticate and connect their GMB account.
  • The provided URL is valid for 24 hours.
  • When the user accesses the URL, they are redirected to Google’s OAuth authentication flow.
  • During OAuth, the user must:
  • Review and accept Google’s terms and conditions.
  • Grant necessary permissions for integration.
  • After OAuth authentication:
  • If successful, the user is redirected to the successUrl provided in the request.
  • If permissions are declined or the process fails, the user is redirected to the errorUrl.
Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Content-Typestringrequired

Body

NameTypeRequiredDescription
inputobjectoptional
input.errorUrlstringrequiredRedirect URL in case of Error
input.successUrlstringrequiredRedirect URL in case of Success

Request

Request
curl -X POST 'https://api.synup.com/api/v4/connected-accounts/connect-google' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "errorUrl": "http://www.errorurl.com",
    "successUrl": "http://www.successurl.com"
  }
}'

Responses

StatusDescription
200Successfully generated connection URL
400Bad request - invalid input
Example response
{
  "data": {
    "bulkConnectLinkForGoogle": {
      "clientMutationId": null,
      "errors": null,
      "success": true,
      "url": "https://claim.verifymybiz.com/locations/redirect_oauth_bulk/google_oauth2?onboarding=false&platform=local&token=47cc832a-31ce-4de5-8768-c541a8331800"
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.bulkConnectLinkForGoogleobjectoptional
data.bulkConnectLinkForGoogle.successbooleanoptionalTrue if the request was successful, otherwise False
data.bulkConnectLinkForGoogle.urlstringoptionalThe URL which needs to be visited to initiate the connect process
data.bulkConnectLinkForGoogle.errorsarray of stringoptionalArray of error messages if any